# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Direction			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Direction_Glue
include				$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Direction_Glue/Makefile.deps
endif
#ifndef Meta_Predictor
#include				$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Meta_Predictor/Makefile.deps
#endif

#-----[ Directory ]----------------------------------------

Direction_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction

#-----[ Library ]------------------------------------------

Direction_LIBRARY		= 	-lDirection			\
					$(Behavioural_LIBRARY)		\
					$(Direction_Glue_LIBRARY)
#					$(Meta_Predictor_LIBRARY)

Direction_DIR_LIBRARY		=	-L$(Direction_DIR)/lib		\
					$(Behavioural_DIR_LIBRARY)	\
					$(Direction_Glue_DIR_LIBRARY)
#					$(Meta_Predictor_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Direction_library		:
				@\
				$(MAKE) Behavioural_library;		\
				$(MAKE) Direction_Glue_library;		\
				$(MAKE) --directory=$(Direction_DIR) --makefile=Makefile;
#				$(MAKE) Meta_Predictor_library;		\

Direction_library_clean	:
				@\
				$(MAKE) Behavioural_library_clean;	\
				$(MAKE) Direction_Glue_library_clean;	\
				$(MAKE) --directory=$(Direction_DIR) --makefile=Makefile clean;
#				$(MAKE) Meta_Predictor_library_clean;	\
